Skip to main content
`Ctrl`+`K`

# DMSetCellCoordinates

Sets into the `DM` a global vector that holds the cellwise coordinates

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMSetCellCoordinates(DM dm, Vec c)

Collective

## Input Parameters

- dm - the `DM`

- c - cellwise coordinate vector

## Notes

The coordinates do not include those for ghost points, which are in the local vector.

The vector `c` should be destroyed by the caller.

## See Also

`DM`, `DMGetCoordinates()`, `DMSetCellCoordinatesLocal()`, `DMGetCellCoordinates()`, `DMGetCellCoordinatesLocal()`, `DMGetCellCoordinateDM()`

## Level

intermediate

## Location

src/dm/interface/dmcoordinates.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages